ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::MicrobeamManipulation::Impl Class Reference

Private implementation details of MicrobeamManipulation model object. More...

Collaboration diagram for ome::xml::model::MicrobeamManipulation::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< ome::xml::model::enums::MicrobeamManipulationType > | type
| Type property.
std::string | id
| ID property.
ome::compat::shared_ptr< std::string > | description
| Description property.
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type | roiLinks
| ROIRef reference (occurs more than once)
ome::compat::weak_ptr< ome::xml::model::Experimenter > | experimenter
| ExperimenterRef reference.
std::vector< ome::compat::shared_ptr< ome::xml::model::LightSourceSettings > > | lightSourceSettingsCombinations
| LightSourceSettings property (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | imageLinks
| Image_BackReference back reference (occurs more than once)
ome::compat::weak_ptr< ome::xml::model::Experiment > | experiment
| Experiment_BackReference back reference.

## Detailed Description

Private implementation details of MicrobeamManipulation model object.

The documentation for this class was generated from the following file:

- ome/xml/model/MicrobeamManipulation.cpp